POST api/Media/addMediaFile

Dodanie metryki upload'owanego pliku

Request Information

URI Parameters

None.

Body Parameters

MediaFileModelToAdd
NazwaOpisTypInformacje dodatkowe
Name

string

Required

Max length: 150

Description

string

Max length: 2000

idCategory

integer

Required

FileName

string

Required

Max length: 500

Link

string

Max length: 500

TypSecure

string

Required

Max length: 1

ServerFileName

string

Required

Max length: 500

idPodopiecznego

integer

None.

SortNo

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "Name": "sample string 1",
  "Description": "sample string 2",
  "idCategory": 3,
  "FileName": "sample string 4",
  "Link": "sample string 5",
  "TypSecure": "sample string 6",
  "ServerFileName": "sample string 7",
  "idPodopiecznego": 8,
  "SortNo": 9
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MediaFileModelToAdd'.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.